---
date: 2020-11-13
id: 7aa626ee-1b0b-4d7c-8e11-751f8b9cac1f
title: ES2019
---

# Array

## Prototype methods

-   [Array.prototype.flatMap()](20201113112058-array_prototype_flatmap)
-   [Array.prototype.flat()](20201113112029-array_prototype_flat)

### Sort

-   [.sort() is guaranteed to be
    stable](20201116155810-sort_is_guaranteed_to_be_stable)

# Control flow

-   [Optional Catch
    Binding](20201116154824-javascript_optional_catch_binding)

# Objects

## Functions

-   [Object.fromEntries](20201116095124-object_fromentries)

# Strings

## String Prototype methods

-   [trimStart](20201116100205-trimstart)
-   [trimEnd](20201116100239-trimend)

# Symbols

## Symbol Prototype methods

-   [Symbol.prototype.description](20201116101509-symbol_prototype_description)
